%define major		0
%define libname		%mklibname synfigapp %{major}
%define develname	%mklibname synfigapp -d

Name:		synfigstudio
Summary:	Vector-based 2D animation GUI
Version:	0.63.05
Release:	%mkrel 3
Source0:	http://downloads.sourceforge.net/synfig/%{name}-%{version}.tar.gz
URL:		http://www.synfig.org
License:	GPLv2+
Group:		Graphics/Editors and Converters
BuildRequires:	pkgconfig(ETL) >= 0.04.15
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtkmm-2.4)
BuildRequires:	pkgconfig(sigc++-2.0)
BuildRequires:	pkgconfig(synfig) >= 0.63.05
BuildRequires:	synfig
Requires:	synfig >= 0.63.05

%description
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the graphical user interface for synfig.

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %{libname}
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the shared library provided by synfigstudio.

%package -n %{develname}
Summary:	Development headers and libraries for %{name}
Group:		Development/C++
Provides:	synfigapp-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the development files for the shared library
provided by synfigstudio.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--disable-rpath \
	--disable-update-mimedb
%make
								
%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

sed -i -e 's,synfig_icon.png,synfig_icon,g' %{buildroot}%{_datadir}/applications/*

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-CrossDesktop" \
  --add-category="GTK" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# we don' want these
rm -rf %{buildroot}%{_libdir}/*.la

%files -f %{name}.lang
%doc AUTHORS README NEWS TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/synfig_icon.*
%{_datadir}/mime-info/%{name}.*
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/*.png
%{_datadir}/pixmaps/%{name}

%files -n %{libname}
%{_libdir}/libsynfigapp.so.%{major}*

%files -n %{develname}
%{_libdir}/libsynfigapp.so
%{_includedir}/synfigapp-0.0


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.63.05-3.mga3
+ Revision: 383919
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Sat Dec 08 2012 malo <malo> 0.63.05-2.mga3
+ Revision: 328928
- update RPM group

* Fri Jun 08 2012 fwang <fwang> 0.63.05-1.mga3
+ Revision: 257352
- new verison 0.63.05

* Mon Apr 02 2012 sander85 <sander85> 0.63.02-2.mga2
+ Revision: 227884
- clean buildrequires
- clean spec
- fix startup crash

* Sun Oct 09 2011 wally <wally> 0.63.02-1.mga2
+ Revision: 153481
- new version 0.63.02
- new version 0.63.00
- disable static build
- imported package synfigstudio

